Hex Artifact Content

Artifact b26578a863bd682c0dc5f3a00c3e9ee8601bb3e8:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 43 34 54 43 4c 56 45 52 53 3d 22 30 2e 31 31  CC4TCLVERS="0.11
0100: 22 0a 53 52 43 3d 22 73 72 63 2f 74 63 63 34 74  ".SRC="src/tcc4t
0110: 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53  cl-${TCC4TCLVERS
0120: 7d 2e 74 61 72 2e 67 7a 22 0a 53 52 43 55 52 4c  }.tar.gz".SRCURL
0130: 3d 22 68 74 74 70 3a 2f 2f 72 6b 65 65 6e 65 2e  ="http://rkeene.
0140: 6f 72 67 2f 64 65 76 65 6c 2f 74 63 63 34 74 63  org/devel/tcc4tc
0150: 6c 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34  l/tcc4tcl-${TCC4
0160: 54 43 4c 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22  TCLVERS}.tar.gz"
0170: 0a 42 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64  .BUILDDIR="$(pwd
0180: 29 2f 62 75 69 6c 64 2f 74 63 63 34 74 63 6c 2d  )/build/tcc4tcl-
0190: 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 22 0a  ${TCC4TCLVERS}".
01a0: 4f 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f  OUTDIR="$(pwd)/o
01b0: 75 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70  ut".INSTDIR="$(p
01c0: 77 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44  wd)/inst".PATCHD
01d0: 49 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68  IR="$(pwd)/patch
01e0: 65 73 22 0a 65 78 70 6f 72 74 20 54 43 43 34 54  es".export TCC4T
01f0: 43 4c 56 45 52 53 20 53 52 43 20 53 52 43 55 52  CLVERS SRC SRCUR
0200: 4c 20 42 55 49 4c 44 44 49 52 20 4f 55 54 44 49  L BUILDDIR OUTDI
0210: 52 20 49 4e 53 54 44 49 52 20 50 41 54 43 48 44  R INSTDIR PATCHD
0220: 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69 67  IR..# Set config
0230: 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20  ure options for 
0240: 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63 74  this sub-project
0250: 0a 4c 44 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54  .LDFLAGS="${KC_T
0260: 43 43 34 54 43 4c 5f 4c 44 46 4c 41 47 53 7d 22  CC4TCL_LDFLAGS}"
0270: 0a 43 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43  .CFLAGS="${KC_TC
0280: 43 34 54 43 4c 5f 43 46 4c 41 47 53 7d 22 0a 43  C4TCL_CFLAGS}".C
0290: 50 50 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43  PPFLAGS="${KC_TC
02a0: 43 34 54 43 4c 5f 43 50 50 46 4c 41 47 53 7d 22  C4TCL_CPPFLAGS}"
02b0: 0a 4c 49 42 53 3d 22 24 7b 4b 43 5f 54 43 43 34  .LIBS="${KC_TCC4
02c0: 54 43 4c 5f 4c 49 42 53 7d 22 0a 65 78 70 6f 72  TCL_LIBS}".expor
02d0: 74 20 4c 44 46 4c 41 47 53 20 43 46 4c 41 47 53  t LDFLAGS CFLAGS
02e0: 20 43 50 50 46 4c 41 47 53 20 4c 49 42 53 0a 0a   CPPFLAGS LIBS..
02f0: 72 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27  rm -rf 'build' '
0300: 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69  out' 'inst'.mkdi
0310: 72 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20  r 'build' 'out' 
0320: 27 69 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31  'inst' || exit 1
0330: 0a 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d 22 75  ..TCL_VERSION="u
0340: 6e 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d 66 20  nknown".if [ -f 
0350: 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d  "${TCLCONFIGDIR}
0360: 2f 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 20 5d  /tclConfig.sh" ]
0370: 3b 20 74 68 65 6e 0a 20 20 20 20 20 20 20 20 73  ; then.        s
0380: 6f 75 72 63 65 20 22 24 7b 54 43 4c 43 4f 4e 46  ource "${TCLCONF
0390: 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67  IGDIR}/tclConfig
03a0: 2e 73 68 22 0a 66 69 0a 65 78 70 6f 72 74 20 54  .sh".fi.export T
03b0: 43 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66 20 5b  CL_VERSION..if [
03c0: 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d   ! -f "${SRC}" ]
03d0: 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73  ; then..mkdir 's
03e0: 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32  rc' >/dev/null 2
03f0: 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20  >/dev/null...if 
0400: 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63  [ ! -d 'buildsrc
0410: 27 20 5d 3b 20 74 68 65 6e 0a 09 09 72 6d 20 2d  ' ]; then...rm -
0420: 66 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 0a 09  f "${SRC}.tmp"..
0430: 09 77 67 65 74 20 2d 4f 20 22 24 7b 53 52 43 7d  .wget -O "${SRC}
0440: 2e 74 6d 70 22 20 22 24 7b 53 52 43 55 52 4c 7d  .tmp" "${SRCURL}
0450: 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 6d 76  " || exit 1...mv
0460: 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24   "${SRC}.tmp" "$
0470: 7b 53 52 43 7d 22 0a 09 66 69 0a 66 69 0a 0a 28  {SRC}"..fi.fi..(
0480: 0a 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20  ..cd 'build' || 
0490: 65 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20  exit 1...if [ ! 
04a0: 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27  -d '../buildsrc'
04b0: 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20   ]; then...gzip 
04c0: 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20  -dc "../${SRC}" 
04d0: 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73  | tar -xf -..els
04e0: 65 20 20 20 20 0a 09 09 63 70 20 2d 72 70 20 2e  e    ...cp -rp .
04f0: 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27 2e 2f  ./buildsrc/* './
0500: 27 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c 79 20  '..fi...# Apply 
0510: 72 65 71 75 69 72 65 64 20 70 61 74 63 68 65 73  required patches
0520: 0a 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52  ..cd "${BUILDDIR
0530: 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 66  }" || exit 1...f
0540: 6f 72 20 70 61 74 63 68 20 69 6e 20 22 24 7b 50  or patch in "${P
0550: 41 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 74 63  ATCHDIR}/all"/tc
0560: 63 34 74 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56  c4tcl-${TCC4TCLV
0570: 45 52 53 7d 2d 2a 2e 64 69 66 66 20 22 24 7b 50  ERS}-*.diff "${P
0580: 41 54 43 48 44 49 52 7d 2f 24 7b 54 43 4c 5f 56  ATCHDIR}/${TCL_V
0590: 45 52 53 49 4f 4e 7d 22 2f 74 63 63 34 74 63 6c  ERSION}"/tcc4tcl
05a0: 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 2d  -${TCC4TCLVERS}-
05b0: 2a 2e 64 69 66 66 3b 20 64 6f 0a 09 09 69 66 20  *.diff; do...if 
05c0: 5b 20 21 20 2d 66 20 22 24 7b 70 61 74 63 68 7d  [ ! -f "${patch}
05d0: 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e  " ]; then....con
05e0: 74 69 6e 75 65 0a 09 09 66 69 0a 0a 09 09 65 63  tinue...fi....ec
05f0: 68 6f 20 22 41 70 70 6c 79 69 6e 67 3a 20 24 7b  ho "Applying: ${
0600: 70 61 74 63 68 7d 22 0a 09 09 24 7b 50 41 54 43  patch}"...${PATC
0610: 48 3a 2d 70 61 74 63 68 7d 20 2d 70 31 20 3c 20  H:-patch} -p1 < 
0620: 22 24 7b 70 61 74 63 68 7d 22 0a 09 64 6f 6e 65  "${patch}"..done
0630: 0a 0a 09 23 20 54 72 79 20 74 6f 20 62 75 69 6c  ...# Try to buil
0640: 64 20 61 73 20 61 20 73 68 61 72 65 64 20 6f 62  d as a shared ob
0650: 6a 65 63 74 20 69 66 20 72 65 71 75 65 73 74 65  ject if requeste
0660: 64 0a 09 69 66 20 5b 20 22 24 7b 53 54 41 54 49  d..if [ "${STATI
0670: 43 54 43 43 34 54 43 4c 7d 22 20 3d 20 22 30 22  CTCC4TCL}" = "0"
0680: 20 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70   ]; then...tryop
0690: 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61  ts="--enable-sha
06a0: 72 65 64 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68  red --disable-sh
06b0: 61 72 65 64 22 0a 09 65 6c 69 66 20 5b 20 22 24  ared"..elif [ "$
06c0: 7b 53 54 41 54 49 43 54 43 43 34 54 43 4c 7d 22  {STATICTCC4TCL}"
06d0: 20 3d 20 22 2d 31 22 20 5d 3b 20 74 68 65 6e 0a   = "-1" ]; then.
06e0: 09 09 23 20 52 65 71 75 69 72 65 20 73 68 61 72  ..# Require shar
06f0: 65 64 20 6f 62 6a 65 63 74 20 69 66 20 72 65 71  ed object if req
0700: 75 65 73 74 65 64 0a 09 09 74 72 79 6f 70 74 73  uested...tryopts
0710: 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65  ="--enable-share
0720: 64 22 0a 09 65 6c 73 65 0a 09 09 23 20 44 65 66  d"..else...# Def
0730: 61 75 6c 74 20 74 6f 20 62 75 69 6c 64 69 6e 67  ault to building
0740: 20 73 74 61 74 69 63 61 6c 6c 79 0a 09 09 74 72   statically...tr
0750: 79 6f 70 74 73 3d 22 2d 2d 64 69 73 61 62 6c 65  yopts="--disable
0760: 2d 73 68 61 72 65 64 22 0a 09 66 69 0a 0a 09 53  -shared"..fi...S
0770: 41 56 45 5f 43 46 4c 41 47 53 3d 22 24 7b 43 46  AVE_CFLAGS="${CF
0780: 4c 41 47 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f  LAGS}"..for tryo
0790: 70 74 20 69 6e 20 24 74 72 79 6f 70 74 73 20 5f  pt in $tryopts _
07a0: 5f 66 61 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20  _fail__; do...# 
07b0: 43 6c 65 61 6e 20 75 70 2c 20 69 66 20 6e 65 65  Clean up, if nee
07c0: 64 65 64 0a 09 09 6d 61 6b 65 20 64 69 73 74 63  ded...make distc
07d0: 6c 65 61 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20  lean >/dev/null 
07e0: 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d  2>/dev/null...rm
07f0: 20 2d 72 66 20 22 24 7b 49 4e 53 54 44 49 52 7d   -rf "${INSTDIR}
0800: 22 0a 09 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53  "...mkdir "${INS
0810: 54 44 49 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22  TDIR}"....if [ "
0820: 24 7b 74 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f  ${tryopt}" = "__
0830: 66 61 69 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a  fail__" ]; then.
0840: 09 09 09 65 78 69 74 20 31 0a 09 09 66 69 0a 0a  ...exit 1...fi..
0850: 09 09 69 66 20 5b 20 22 24 7b 74 72 79 6f 70 74  ..if [ "${tryopt
0860: 7d 22 20 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d  }" == "--enable-
0870: 73 68 61 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a  shared" ]; then.
0880: 09 09 09 69 73 73 68 61 72 65 64 3d 22 31 22 0a  ...isshared="1".
0890: 09 09 65 6c 73 65 0a 09 09 09 69 73 73 68 61 72  ..else....isshar
08a0: 65 64 3d 22 30 22 0a 09 09 66 69 0a 0a 09 09 23  ed="0"...fi....#
08b0: 20 49 66 20 62 75 69 6c 64 20 61 20 73 74 61 74   If build a stat
08c0: 69 63 20 74 63 63 34 74 63 6c 20 66 6f 72 20 4b  ic tcc4tcl for K
08d0: 69 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68  itDLL, ensure th
08e0: 61 74 20 77 65 20 75 73 65 20 50 49 43 0a 09 09  at we use PIC...
08f0: 23 20 73 6f 20 74 68 61 74 20 69 74 20 63 61 6e  # so that it can
0900: 20 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20   be linked into 
0910: 74 68 65 20 73 68 61 72 65 64 20 6f 62 6a 65 63  the shared objec
0920: 74 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68  t...if [ "${issh
0930: 61 72 65 64 7d 22 20 3d 20 22 30 22 20 2d 61 20  ared}" = "0" -a 
0940: 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20 3d  "${KITTARGET}" =
0950: 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65   "kitdll" ]; the
0960: 6e 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53  n....CFLAGS="${S
0970: 41 56 45 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49  AVE_CFLAGS} -fPI
0980: 43 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 46 4c  C"...else....CFL
0990: 41 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41  AGS="${SAVE_CFLA
09a0: 47 53 7d 22 0a 09 09 66 69 0a 0a 09 09 28 0a 09  GS}"...fi....(..
09b0: 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
09c0: 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72   ./configure $tr
09d0: 79 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 5c 22  yopt --prefix=\"
09e0: 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 65  ${INSTDIR}\" --e
09f0: 78 65 63 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49  xec-prefix=\"${I
0a00: 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 6c 69 62 64  NSTDIR}\" --libd
0a10: 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f  ir=\"${INSTDIR}/
0a20: 6c 69 62 5c 22 20 2d 2d 77 69 74 68 2d 74 63 6c  lib\" --with-tcl
0a30: 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49  =\"${TCLCONFIGDI
0a40: 52 7d 5c 22 20 24 7b 43 4f 4e 46 49 47 55 52 45  R}\" ${CONFIGURE
0a50: 45 58 54 52 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e  EXTRA}"...../con
0a60: 66 69 67 75 72 65 20 24 74 72 79 6f 70 74 20 2d  figure $tryopt -
0a70: 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44  -prefix="${INSTD
0a80: 49 52 7d 22 20 2d 2d 65 78 65 63 2d 70 72 65 66  IR}" --exec-pref
0a90: 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22 20  ix="${INSTDIR}" 
0aa0: 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54  --libdir="${INST
0ab0: 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69 74 68  DIR}/lib" --with
0ac0: 2d 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e 46 49  -tcl="${TCLCONFI
0ad0: 47 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49 47 55  GDIR}" ${CONFIGU
0ae0: 52 45 45 58 54 52 41 7d 0a 0a 09 09 09 65 63 68  REEXTRA}.....ech
0af0: 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41  o "Running: ${MA
0b00: 4b 45 3a 2d 6d 61 6b 65 7d 22 0a 09 09 09 24 7b  KE:-make}"....${
0b10: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 7c 7c 20 65  MAKE:-make} || e
0b20: 78 69 74 20 31 0a 0a 09 09 09 65 63 68 6f 20 22  xit 1.....echo "
0b30: 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a  Running: ${MAKE:
0b40: 2d 6d 61 6b 65 7d 20 69 6e 73 74 61 6c 6c 22 0a  -make} install".
0b50: 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  ...${MAKE:-make}
0b60: 20 69 6e 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74   install || exit
0b70: 20 31 0a 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e   1...) || contin
0b80: 75 65 0a 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e  ue....break..don
0b90: 65 0a 0a 09 23 20 43 72 65 61 74 65 20 56 46 53  e...# Create VFS
0ba0: 2d 69 6e 73 65 72 74 0a 09 63 70 20 2d 72 20 22  -insert..cp -r "
0bb0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20  ${INSTDIR}/lib" 
0bc0: 22 24 7b 4f 55 54 44 49 52 7d 22 20 7c 7c 20 65  "${OUTDIR}" || e
0bd0: 78 69 74 20 31 0a 09 66 69 6e 64 20 22 24 7b 4f  xit 1..find "${O
0be0: 55 54 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a  UTDIR}" -name '*
0bf0: 2e 61 27 20 2d 74 79 70 65 20 66 20 7c 20 67 72  .a' -type f | gr
0c00: 65 70 20 2d 76 20 27 2f 6c 69 62 74 63 63 31 5c  ep -v '/libtcc1\
0c10: 2e 61 24 27 20 7c 20 78 61 72 67 73 20 72 6d 20  .a$' | xargs rm 
0c20: 2d 66 0a 0a 09 23 20 54 65 6c 6c 20 4b 69 74 73  -f...# Tell Kits
0c30: 68 20 6e 6f 74 20 74 6f 20 74 72 79 20 74 6f 20  h not to try to 
0c40: 6c 69 6e 6b 20 61 67 61 69 6e 73 74 20 22 6c 69  link against "li
0c50: 62 74 63 63 31 2e 61 22 0a 09 65 63 68 6f 20 22  btcc1.a"..echo "
0c60: 2f 6c 69 62 74 63 63 31 5c 2e 61 22 20 3e 20 22  /libtcc1\.a" > "
0c70: 24 7b 49 4e 53 54 44 49 52 7d 2f 6b 69 74 63 72  ${INSTDIR}/kitcr
0c80: 65 61 74 6f 72 2d 6e 6f 6c 69 62 73 22 0a 0a 09  eator-nolibs"...
0c90: 65 78 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74  exit 0.) || exit
0ca0: 20 31 0a 0a 65 78 69 74 20 30 0a                  1..exit 0.